- Main Page
- Modules
- Namespaces
- Classes
- Files

# Vector Min/Max Functions

Vector min/max functions, return minimum, maximum, minimum position, and maximum position of elements of a List. More...

## Functions
template<class ListType>
Real | Max (ListType L)
| Maximum value of List L.
Complex | Max (ComplexList L)
Integer | Max (IntegerList L)
Rhythm | Max (RhythmList L)
Rational | Max (RationalList L)
Pitch | Max (PitchList L)
template<class ListType>
Integer | MaxPos (ListType L)
| Index of the maximum value of List L.
template<class Type>
Real | Min (Type L)
| Minimum value of list L.
Complex | Min (ComplexList L)
Integer | Min (IntegerList L)
Rhythm | Min (RhythmList L)
Rational | Min (RationalList L)
Pitch | Min (PitchList L)
template<class Type>
Integer | MinPos (Type L)
| Index of the minimum value of list L.

## Detailed Description

Vector min/max functions, return minimum, maximum, minimum position, and maximum position of elements of a List.

List can be any defined type, such as RealList, IntegerList, Rhythm, Pitch, Complex, etc.

## Function Documentation

Pitch Max | ( | PitchList | L | ) | `[inline]`

Definition at line 107 of file Musimat.h.

References List< Type >::max(), and Return.

    00107 { Return( L.max() ); }

Rational Max | ( | RationalList | L | ) | `[inline]`

Definition at line 106 of file Musimat.h.

References List< Type >::max(), and Return.

    00106 { Return( L.max() ); }

Rhythm Max | ( | RhythmList | L | ) | `[inline]`

Definition at line 105 of file Musimat.h.

References List< Type >::max(), and Return.

    00105 { Return( L.max() ); }

Integer Max | ( | IntegerList | L | ) | `[inline]`

Definition at line 104 of file Musimat.h.

References List< Type >::max(), and Return.

    00104 { Return( L.max() ); }

Complex Max | ( | ComplexList | L | ) | `[inline]`

Definition at line 103 of file Musimat.h.

References List< Type >::max(), and Return.

    00103 { Return( L.max() ); }

template<class ListType>

Real Max | ( | ListType | L | ) | `[inline]`

Maximum value of List L.

Parameters:

  | L | List

Definition at line 102 of file Musimat.h.

References Return.

    00102 { Return( L.max() ); }

template<class ListType>

Integer MaxPos | ( | ListType | L | ) | `[inline]`

Index of the maximum value of List L.

Parameters:

  | L | List

Definition at line 111 of file Musimat.h.

References Return.

    00111 { Return( L.maxPos() ); }

Pitch Min | ( | PitchList | L | ) | `[inline]`

Definition at line 120 of file Musimat.h.

References List< Type >::min(), and Return.

    00120 { Return( L.min() ); }

Rational Min | ( | RationalList | L | ) | `[inline]`

Definition at line 119 of file Musimat.h.

References List< Type >::min(), and Return.

    00119 { Return( L.min() ); }

Rhythm Min | ( | RhythmList | L | ) | `[inline]`

Definition at line 118 of file Musimat.h.

References List< Type >::min(), and Return.

    00118 { Return( L.min() ); }

Integer Min | ( | IntegerList | L | ) | `[inline]`

Definition at line 117 of file Musimat.h.

References List< Type >::min(), and Return.

    00117 { Return( L.min() ); }

Complex Min | ( | ComplexList | L | ) | `[inline]`

Definition at line 116 of file Musimat.h.

References List< Type >::min(), and Return.

    00116 { Return( L.min() ); }

template<class Type>

Real Min | ( | Type | L | ) | `[inline]`

Minimum value of list L.

Parameters:

  | L | List

Definition at line 115 of file Musimat.h.

References Return.

    00115 { Return( L.min() ); }

template<class Type>

Integer MinPos | ( | Type | L | ) | `[inline]`

Index of the minimum value of list L.

Parameters:

  | L | List

Definition at line 124 of file Musimat.h.

References Return.

    00124 { Return( L.minPos() ); }